#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from z3c.form.interfaces import IWidget

# import packages


class II18nWidget(IWidget):
    """I18n base widget interface"""


class II18nTextLineWidget(II18nWidget):
    """I18n text line widget interface"""


class II18nSEOTextLineWidget(II18nTextLineWidget):
    """I18n text line widget wit SEO quality marker interface"""


class II18nTextWidget(II18nWidget):
    """I18n text widget interface"""


class II18nHTMLWidget(II18nWidget):
    """I18n HTML widget interface"""


class II18nFileWidget(II18nWidget):
    """I18n file widget interface"""
